import Servers.Client;

import java.util.Scanner;
/**
 * The {@code RummikubClientMain} class serves as the entry point for a Rummikub client.
 * It prompts the user for connection details and starts the client to connect to the server.
 */
public class RummikubClientMain {
    /**
     * The main method that starts the client application.
     * It prompts the user for their name, server IP, and port number, then establishes a connection.
     *
     * @param args Command-line arguments (not used).
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Enter your name: ");
        String playerName = scanner.nextLine();
        System.out.print("Enter server IP: ");
        String serverAddress = scanner.nextLine();
        System.out.print("Enter server port: ");
        int port = scanner.nextInt();

        Client client = new Client(serverAddress, port, playerName);
        client.connect();
    }
}

